Bug 1732148 - Image: Improve config.openshift.io resource description [NEEDINFO]
Summary: Image: Improve config.openshift.io resource description
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.0
Assignee: Adam Kaplan
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 19:25 UTC by Samuel Padgett
Modified: 2019-10-16 06:30 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1732146
: 1732149 (view as bug list)
Environment:
Last Closed: 2019-10-16 06:30:26 UTC
Target Upstream Version:
xiuwang: needinfo? (lmeyer)


Attachments (Terms of Use)
Descriptions in console (248.56 KB, image/png)
2019-07-22 19:25 UTC, Samuel Padgett
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift api pull 423 None None None 2019-08-30 13:08:23 UTC
Github openshift cluster-config-operator pull 90 None None None 2019-09-12 13:50:22 UTC
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:30:37 UTC

Description Samuel Padgett 2019-07-22 19:25:10 UTC
Created attachment 1592686 [details]
Descriptions in console

The various cluster config config.openshift.io resource descriptions have been copied and pasted from each other and have no detail. Administrators don't know what these configurations are for. I've attached a screenshot of how this looks in console (not good) and why we want to update each description.

Per Clayton, this is a high severity bug.

Comment 1 Corey Daley 2019-08-13 23:19:04 UTC
The Image Registry / Image Registry Operator does not show up on this global configuration list.  Was this bug created erroneously?

If this bug is valid, can you please give some further guidance on exactly what you would like done

Comment 2 Yadan Pei 2019-08-15 02:39:50 UTC
Does this comment help https://bugzilla.redhat.com/show_bug.cgi?id=1732145#c8 ?

Comment 3 Corey Daley 2019-08-15 02:41:04 UTC
Yes, thank you!

Comment 16 XiuJuan Wang 2019-09-17 03:03:33 UTC
The bug fixed in 4.2.0-0.nightly-2019-09-16-175247 payload.
$oc explain image --api-version=config.openshift.io/v1
KIND:     Image
VERSION:  config.openshift.io/v1

DESCRIPTION:
     Image governs policies related to imagestream imports and runtime
     configuration for external registries. It allows cluster admins to
     configure which registries OpenShift is allowed to import images from,
     extra CA trust bundles for external registries, and policies to
     blacklist/whitelist registry hostnames. When exposing OpenShift's image
     registry to the public, this also lets cluster admins specify the external
     hostname.

FIELDS:
   apiVersion	<string>
     APIVersion defines the versioned schema of this representation of an
     object. Servers should convert recognized schemas to the latest internal
     value, and may reject unrecognized values. More info:
     https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

   kind	<string>
     Kind is a string value representing the REST resource this object
     represents. Servers may infer this from the endpoint the client submits
     requests to. Cannot be updated. In CamelCase. More info:
     https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

   metadata	<Object>
     Standard object's metadata. More info:
     https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

   spec	<Object> -required-
     spec holds user settable values for configuration

   status	<Object>
     status holds observed values from the cluster. They may not be overridden.

And the image.config.openshift.io crd has updated too.

Comment 17 errata-xmlrpc 2019-10-16 06:30:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.